Loading...
Searching...
No Matches
basis_option

## Detailed Description

see the `basis_option` page for the full documentation

Definition at line 93 of file basis_option.h.

## Public Types

enum | node_type { equispaced = 0 , warburton = 1 , fekete = 2 , max_node = 3 }
enum | raw_polynomial_type { monomial = 0 , bernstein = 1 , dubiner = 2 , max_raw_polynomial = 3 }
typedef size_t | size_type
typedef space_constant::valued_type | valued_type
typedef space_constant::coordinate_type | coordinate_type

## Public Member Functions

| basis_option (node_type nt=default_node, raw_polynomial_type pt=default_raw_polynomial)
| basis_option (const basis_option &sopt)
basis_option & | operator= (const basis_option &sopt)
node_type | get_node () const
raw_polynomial_type | get_raw_polynomial () const
std::string | get_node_name () const
std::string | get_raw_polynomial_name () const
bool | is_continuous () const
bool | is_discontinuous () const
bool | is_trace_n () const
valued_type | valued_tag () const
const std::string & | valued () const
size_type | dimension () const
coordinate_type | coordinate_system () const
void | set_node (node_type type)
void | set_raw_polynomial (raw_polynomial_type type)
void | set (std::string option_name)
void | set_node (std::string node_name)
void | set_raw_polynomial (std::string raw_polynomial_name)
void | set_continuous (bool c=true)
void | set_discontinuous (bool d=true)
void | set_trace_n (bool r=true)
void | set_valued_tag (valued_type v)
void | set_dimension (size_type d)
void | set_coordinate_system (coordinate_type sc)
bool | is_node_name (std::string name) const
bool | is_raw_polynomial_name (std::string name) const
bool | is_option_name (std::string name) const
std::string | stamp () const

## Static Public Attributes

static const node_type | default_node = basis_option::equispaced
static const raw_polynomial_type | default_raw_polynomial = basis_option::dubiner

## Protected Attributes

node_type | _node
raw_polynomial_type | _poly
bool | _is_continuous
bool | _is_trace_n
valued_type | _valued_tag
size_type | _dimension
coordinate_type | _sys_coord

## Member Typedef Documentation

## size_type

typedef size_t size_type

Definition at line 97 of file basis_option.h.

## valued_type

typedef space_constant::valued_type valued_type

Definition at line 98 of file basis_option.h.

## coordinate_type

typedef space_constant::coordinate_type coordinate_type

Definition at line 99 of file basis_option.h.

## Member Enumeration Documentation

## node_type

enum node_type

Enumerator
equispaced |
warburton |
fekete |
max_node |

Definition at line 101 of file basis_option.h.

## raw_polynomial_type

enum raw_polynomial_type

Enumerator
monomial |
bernstein |
dubiner |
max_raw_polynomial |

Definition at line 108 of file basis_option.h.

## Constructor & Destructor Documentation

## basis_option() [1/2]

basis_option | ( | node_type | nt = `default_node`,
|  | raw_polynomial_type | pt = `default_raw_polynomial`
| ) |  |

Definition at line 177 of file basis_option.h.

## basis_option() [2/2]

basis_option | ( | const basis_option & | sopt | ) |

Definition at line 190 of file basis_option.h.

## Member Function Documentation

## operator=()

basis_option & operator= | ( | const basis_option & | sopt | ) |

Definition at line 202 of file basis_option.h.

## get_node()

basis_option::node_type get_node | ( |  | ) | const

Definition at line 215 of file basis_option.h.

## get_raw_polynomial()

basis_option::raw_polynomial_type get_raw_polynomial | ( |  | ) | const

Definition at line 221 of file basis_option.h.

## get_node_name()

string get_node_name | ( |  | ) | const

Definition at line 99 of file basis_option.cc.

## get_raw_polynomial_name()

string get_raw_polynomial_name | ( |  | ) | const

Definition at line 106 of file basis_option.cc.

## is_continuous()

bool is_continuous | ( |  | ) | const

Definition at line 227 of file basis_option.h.

## is_discontinuous()

bool is_discontinuous | ( |  | ) | const

Definition at line 233 of file basis_option.h.

## is_trace_n()

bool is_trace_n | ( |  | ) | const

Definition at line 239 of file basis_option.h.

## valued_tag()

basis_option::valued_type valued_tag | ( |  | ) | const

Definition at line 245 of file basis_option.h.

## valued()

const std::string & valued | ( |  | ) | const

Definition at line 251 of file basis_option.h.

## dimension()

size_type dimension | ( |  | ) | const

Definition at line 138 of file basis_option.h.

## coordinate_system()

coordinate_type coordinate_system | ( |  | ) | const

Definition at line 139 of file basis_option.h.

## set_node() [1/2]

void set_node | ( | node_type | type | ) |

Definition at line 257 of file basis_option.h.

## set_raw_polynomial() [1/2]

void set_raw_polynomial | ( | raw_polynomial_type | type | ) |

Definition at line 263 of file basis_option.h.

## set()

void set | ( | std::string | option_name | ) |

Definition at line 113 of file basis_option.cc.

## set_node() [2/2]

void set_node | ( | std::string | node_name | ) |

Definition at line 89 of file basis_option.cc.

## set_raw_polynomial() [2/2]

void set_raw_polynomial | ( | std::string | raw_polynomial_name | ) |

Definition at line 94 of file basis_option.cc.

## set_continuous()

void set_continuous | ( | bool | c = `true` | ) |

Definition at line 269 of file basis_option.h.

## set_discontinuous()

void set_discontinuous | ( | bool | d = `true` | ) |

Definition at line 275 of file basis_option.h.

## set_trace_n()

void set_trace_n | ( | bool | r = `true` | ) |

Definition at line 281 of file basis_option.h.

## set_valued_tag()

void set_valued_tag | ( | valued_type | v | ) |

Definition at line 149 of file basis_option.h.

## set_dimension()

void set_dimension | ( | size_type | d | ) |

Definition at line 150 of file basis_option.h.

## set_coordinate_system()

void set_coordinate_system | ( | coordinate_type | sc | ) |

Definition at line 151 of file basis_option.h.

## is_node_name()

bool is_node_name | ( | std::string | name | ) | const

Definition at line 68 of file basis_option.cc.

## is_raw_polynomial_name()

bool is_raw_polynomial_name | ( | std::string | name | ) | const

Definition at line 75 of file basis_option.cc.

## is_option_name()

bool is_option_name | ( | std::string | name | ) | const

Definition at line 82 of file basis_option.cc.

## stamp()

string stamp | ( |  | ) | const

Definition at line 126 of file basis_option.cc.

## Member Data Documentation

## default_node

const node_type default_node = basis_option::equispaced

static

Definition at line 115 of file basis_option.h.

## default_raw_polynomial

const raw_polynomial_type default_raw_polynomial = basis_option::dubiner

static

Definition at line 116 of file basis_option.h.

## _node

node_type _node

protected

Definition at line 162 of file basis_option.h.

## _poly

raw_polynomial_type _poly

protected

Definition at line 163 of file basis_option.h.

## _is_continuous

bool _is_continuous

protected

Definition at line 164 of file basis_option.h.

## _is_trace_n

bool _is_trace_n

protected

Definition at line 165 of file basis_option.h.

## _valued_tag

valued_type _valued_tag

protected

Definition at line 166 of file basis_option.h.

## _dimension

size_type _dimension

protected

Definition at line 167 of file basis_option.h.

## _sys_coord

coordinate_type _sys_coord

protected

Definition at line 168 of file basis_option.h.

The documentation for this class was generated from the following files:

- /build/rheolef-dTNbRN/rheolef-7.2/fem/lib/basis_option.h
- /build/rheolef-dTNbRN/rheolef-7.2/fem/lib/basis_option.cc